%undefine __cmake_in_source_build
Name:    kdf
Summary: View disk usage
Version: 23.08.4
Release:    1%{?dist}

License: GPLv2+
URL:     http://utils.kde.org/projects/%{name}

%global revision %(echo %{version} | cut -d. -f3)
%if %{revision} >= 50
%global stable unstable
%else
%global stable stable
%endif
Source0: http://download.kde.org/%{stable}/release-service/%{version}/src/%{name}-%{version}.tar.xz

BuildRequires: desktop-file-utils
BuildRequires: extra-cmake-modules
BuildRequires: cmake(KF5ConfigWidgets)
BuildRequires: cmake(KF5CoreAddons)
BuildRequires: cmake(KF5DocTools)
BuildRequires: cmake(KF5I18n)
BuildRequires: cmake(KF5IconThemes)
BuildRequires: cmake(KF5KIO)
BuildRequires: cmake(KF5KCMUtils)
BuildRequires: cmake(KF5Notifications)
BuildRequires: cmake(KF5WidgetsAddons)
BuildRequires: cmake(KF5XmlGui)

Conflicts: kdeutils-common < 6:4.7.80

Conflicts: kde-l10n < 17.03

Provides:  kdeutils-kdf = 6:%{version}-%{release}

%description
KDiskFree displays the available file devices (hard drive partitions,
floppy and CD/DVD drives, etc.) along with information on their capacity,
free space, type and mount point.


%prep
%autosetup


%build
%{cmake_kf5}
%cmake_build


%install
%cmake_install

%find_lang %{name} --all-name --with-html


%check
desktop-file-validate %{buildroot}%{_kf5_datadir}/applications/*kdf.desktop ||:



%files -f %{name}.lang
%license LICENSES/*
%{_kf5_bindir}/kdf
%{_kf5_datadir}/qlogging-categories5/%{name}*
%{_kf5_datadir}/icons/hicolor/*/apps/*
%{_kf5_bindir}/kwikdisk
%{_kf5_libdir}/libkdfprivate.so.*
%{_kf5_datadir}/applications/org.kde.kdf.desktop
%{_kf5_datadir}/applications/org.kde.kwikdisk.desktop
%{_kf5_datadir}/applications/kcm_kdf.desktop
%{_kf5_metainfodir}/org.kde.*.appdata.xml
%{_kf5_datadir}/kxmlgui5/kdf/
%{_kf5_qtplugindir}/plasma/kcms/systemsettings_qwidgets/kcm_kdf.so


%changelog
* Fri Apr 12 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 23.08.4-1
- initial build
